﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Sorceleur.Models;

namespace Sorceleur.Migrations
{
    [DbContext(typeof(MonContext))]
    [Migration("20200410002155_M01")]
    partial class M01
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Sorceleur.Models.Monstre", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("nom")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("poids")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("raceMonstre")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Monstres");
                });

            modelBuilder.Entity("Sorceleur.Models.Niveau", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("MonstreId")
                        .HasColumnType("int");

                    b.Property<int>("niveau")
                        .HasColumnType("int");

                    b.Property<int>("point")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("MonstreId");

                    b.ToTable("Niveaux");
                });

            modelBuilder.Entity("Sorceleur.Models.Quete", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("SorceleurId")
                        .HasColumnType("int");

                    b.Property<string>("dificultee")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("endroit")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("recompense")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("SorceleurId");

                    b.ToTable("Quetes");
                });

            modelBuilder.Entity("Sorceleur.Models.Sorceleuz", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("avatar")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("nom")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("prenom")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("raceSorceleur")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Sorceleuzs");
                });

            modelBuilder.Entity("Sorceleur.Models.Vaincre", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("MonstreId")
                        .HasColumnType("int");

                    b.Property<int>("QueteId")
                        .HasColumnType("int");

                    b.Property<int>("nbr")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("MonstreId");

                    b.HasIndex("QueteId");

                    b.ToTable("Vaincres");
                });

            modelBuilder.Entity("Sorceleur.Models.Niveau", b =>
                {
                    b.HasOne("Sorceleur.Models.Monstre", "monstre")
                        .WithMany("niveaux")
                        .HasForeignKey("MonstreId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Sorceleur.Models.Quete", b =>
                {
                    b.HasOne("Sorceleur.Models.Sorceleuz", "sorceleur")
                        .WithMany("Quetes")
                        .HasForeignKey("SorceleurId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Sorceleur.Models.Vaincre", b =>
                {
                    b.HasOne("Sorceleur.Models.Monstre", "monstre")
                        .WithMany("vaincres")
                        .HasForeignKey("MonstreId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Sorceleur.Models.Quete", "quete")
                        .WithMany("vaincres")
                        .HasForeignKey("QueteId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
